System requirements for Qlik Sense Enterprise

This section lists the requirements that must be fulfilled by the target system in order to successfully install and run Qlik Sense.

Qlik Sense Enterprise on Windows

Platforms
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2019

For development and testing purposes only:

  • Microsoft Windows 8.1 (64-bit version only)
  • Microsoft Windows 10 (64-bit version only)
Note: These operating systems are supported by Qlik Sense. Third-party software may require service packs to be installed.
Processors (CPUs)

Multi-core x64 compatible processors

We recommend that you use at least 4 cores per node in a Qlik Analytics Platform deployment.

Memory

8 GB minimum (depending on data volumes, more may be required)

Qlik Sense is an in-memory analysis technology. The memory requirements for the Qlik Sense products are directly related to the amount of data being analyzed.

Disk space 5.0 GB total required to install
Storage
  • A network file share is required for the storage to be accessible by all servers in the site. In case of a single-server deployment, local disk storage may be sufficient.
  • Sufficient storage is required for the volume of apps and content used in the deployment.
Note: Qlik periodically runs network file share performance tests on Qlik Sense using WinShare, and FreeNAS with SMB 3.0. For more information on network file share solutions, contact your Qlik representative.
Security
  • Microsoft Active Directory
  • Microsoft Windows Integrated Authentication
  • Third-party security
WebSockets Web browsers and infrastructure components (such as proxies and routers) must support WebSockets.
.NET framework 4.5.2 or higher
PowerShell 4.0 or higher

Repository database

Centralized logging database

PostgreSQL 9.6.x

PostgreSQL is included in the Qlik Sense setup by default. However, you can also download and install it manually.

Note: The version of PostgreSQL 9.6.x installed with Qlik Sense does not include pgAdmin tools. You can download and install them manually if required.

PostgreSQL is an open source object-relational database management system. It is released under the PostgreSQL license, which is a free and open source software license.

Internet protocol
  • IPv4
  • IPv6
  • Dual stack (IPv4 and IPv6)
Network The configured hostname must resolve to an IP address on the host machine.
Qlik Management Console (QMC), supported browsers

The following browsers are supported for accessing the QMC.

Supported Microsoft Windows browsers:

  • Microsoft Internet Explorer 11
  • Microsoft Edge
  • Google Chrome
  • Mozilla Firefox (requires hardware acceleration, not supported in virtual environments)

CefSharp embedded browser v55 or later (CefSharp allows you to embed the Chromium open source browser inside .Net apps)

Supported Apple Mac OS browsers:

  • Apple Safari
  • Google Chrome
  • Mozilla Firefox (requires hardware acceleration, not supported in virtual environments)
QMC, minimum screen resolution

Desktops, laptops, and Apple Mac: 1024x768

No mobile or small screen support.

QlikView compatibility

It is not possible to install Qlik Sense on a machine with QlikView Server already installed.

Note: We do not recommend that you install Qlik Sense on domain controller machines, as group policies may prevent Qlik Sense from getting access to required services.

Qlik Sense Enterprise on Cloud Services

Maximum app size

500 MB

Storage 500 GB
Maximum concurrent reloads 5
Maximum reloads per day 100
Note: When distributing to Qlik Cloud Services, your Qlik Sense Enterprise on Windows deployment must be either the current version or one of the previous 2 releases (starting from the June 2018 release).

Qlik Sense Enterprise on Kubernetes

Kubernetes environments

The Kubernetes environment must have Internet access to the Qlik Helm and Container Image repository.

Kubernetes service vendors:

  • Microsoft Azure using Azure Kubernetes Service (AKS)
  • Amazon Web Services (AWS) using Amazon Elastic Container Service for Kubernetes (EKS)

  • Amazon Web Services (AWS) deployed via Kubernetes Operations (KOPs)

  • Google Cloud using Google Kubernetes Engine (GKE)

  • Red Hat OpenShift 4+

Non-managed Kubernetes deployments:

  • Kubernetes 1.10.x+
Kubernetes package manager Helm v2.12.0+
Local/Evaluation/Test environment

Windows: Minikube v0.33 +

Red Hat MiniShift v1.21.0+

Mac: Docker for Desktop with Kubernetes enabled: v2.0.0.3

Database MongoDB 3.6+
File system

Storage attached to the cluster that supports ReadWriteMany. This can be configured as a Storage Class or a Persistent Volume Claim

Processors (CPUs) Minimum 4 cores (additional depending on data volumes)
Memory Minimum 8 GB (additional depending on data volumes)
Disk space 5 GB total required to install
IDP For user authentication an OIDC compatible IDP is required

Qlik Sense Mobile app

Qlik Sense Mobile for iOS

iOS supported versions:

  • iOS 11.2 or later
Note: iOS 11.0 or later is required for SAML authentication.

Device compatibility:

  • iPad Air 2 or later
  • iPad Pro or later
  • iPhone 6 and 6 Plus
  • iPhone 6S and 6S Plus
  • iPhone 7 and 7 Plus
  • iPhone 8 and 8 Plus
  • iPhone X

Qlik Sense Mobile for iOS compatibility with Qlik Sense:

  • Qlik Sense September 2017 and later releases
  • Qlik Sense November 2018 or later is required to access mashups from the Qlik Sense Mobile for iOS app.
Warning: Qlik Sense February 2018 or later is required to reduce the size of apps for download to your iOS device.
Qlik Sense Mobile for Android

Android OS supported versions:

  • Android 6.0 or later

Device compatibility:

  • 64-bit CPU architecture (ARM)

  • RAM: 2 GB or more is recommended

  • Screen resolution: 720x1280 HDPI (267 ppi)

Qlik Sense Mobile for Android compatibility with Qlik Sense:

  • Qlik Sense November 2018 and later releases
Per-app VPN support

Qlik Sense Mobile per-app VPN through Enterprise Mobile Management (EMM) is designed to work with the environments and versions listed in this section.

Qlik Sense EnterpriseNovember 2017 or later:

  • iPad with iOS version 11.2.2 or later.
  • iPhone with iOS version 11.2.2 or later.

Qlik Sense Enterprise November 2018 or later:

  • Android version 6.0 or later.

Access to Qlik Sense Enterprise using AirWatch per-app VPN is supported on the following browsers:

  • VMware browser
  • Apple Safari
  • Google Chrome

Qlik Sense Mobile for BlackBerry app

OS support
  • iOS 11.2 or later
BlackBerry UEM support
  • BlackBerry UEM 12.9.1
  • BlackBerry UEM 12.10 or higher
Device compatibility

We recommend using Apple devices powered by A10 processor or higher:

  • iPad Pro 2nd generation or later
  • iPad (2018)
  • iPhone 7 and 7 Plus
  • iPhone 8 and 8 Plus
  • iPhone X
Qlik Sense Mobile for BlackBerry app compatibility with Qlik Sense The Qlik Sense Mobile for BlackBerry app is compatible with Qlik Sense February 2019 and later releases.

Did this information help you?

Thanks for letting us know. Is there anything you'd like to tell us about this topic?

Can you tell us why it did not help you and how we can improve it?